#include "LibItsGeoNetworking_encdecDeclarations.hh"

namespace LibItsGeoNetworking__EncdecDeclarations {
/****************************************************
 * @desc    External function to encode a GeoNetworkingPdu type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__GeoNetworkingPdu(LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu const& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a GeoNetworkingPdu type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/

INTEGER fx__dec__GeoNetworkingPdu(BITSTRING& b, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu& p)
{
  return -1;
}

/****************************************************
 * @desc    External function to encode a Payload type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__Payload(const LibItsGeoNetworking__TypesAndValues::Payload& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a Payload type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/

INTEGER fx__dec__Payload(BITSTRING& b, LibItsGeoNetworking__TypesAndValues::Payload& p)
{
  return -1;
}

/****************************************************
 * @desc    External function to encode a GnNonSecuredPacket type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/
BITSTRING fx__enc__GnNonSecuredPacket(const LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket& p)
{
  return int2bit(0,8);
}

/****************************************************
 * @desc    External function to decode a GnNonSecuredPacket type
 * @param   value to encode
 * @return  encoded value
 ****************************************************/

INTEGER fx__dec__GnNonSecuredPacket(BITSTRING& b, LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket& p)
{
  return -1;
}

} //end namespace
